// Author: Christoph Schwirzer

#include <iostream>
#include <cassert>
#include <fstream>
using namespace std;

#define in cin

int main()
{
//	ifstream in("alfredo.in");
	int r, w, l, t=0;
	while (in >> r, r)
	{
		in >> w >> l;
		assert(1 <= r && r <= 1000);
		assert(1 <= w && w <= l && l <= 1000);
		cout << "Pizza " << ++t << " " << (w * w + l * l <= 4 * r * r ? "fits" : "does not fit") << " on the table." << endl;
	}
	return 0;
}
